bump dependencies to what's in Debian

diff --git a/Cargo.toml b/Cargo.toml
index 177cb80..0acb001 100644
--- a/Cargo.toml
+++ b/Cargo.toml
@@ -28,7 +28,7 @@ version = "2.0"
 version = "0.5"
 
 [dependencies.derive_builder]
-version = "0.9"
+version = "0.12"
 
 [dependencies.expectest]
 version = "0.12"
@@ -38,7 +38,7 @@ optional = true
 version = "1.5"
 
 [dependencies.time]
-version = "0.2"
+version = "0.3"
 [build-dependencies.clippy]
 version = "0.0.153"
 optional = true
